

import BasicLayout from '@/layouts/basic-layout';
import Setting from "@/setting";

const meta = {
    auth: true
};

const pre = 'home_';

export default {
    path: `${Setting.routePre}/home`,
    name: 'home',
    header: 'home',
    redirect: {
        name: `${pre}index`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            path: 'index',
            name: `${pre}index`,
            meta: {
                auth: ['store-statistics-index'],
                title: '运营概况'
            },
            component: () => import('@/pages/index/index')
        }
    ]
};
