

import BasicLayout from '@/layouts/basic-layout';
import Setting from "@/setting";

const pre = 'user_';

export default {
    path: `${Setting.routePre}/user/`,
    name: 'user',
    header: 'user',
    meta: {
        // 授权标识
        auth: ['store-user']
    },
    redirect: {
        name: `${pre}user`
    },
    component: BasicLayout,
    children: [
        {
            path: 'index',
            name: `${pre}user`,
            meta: {
                title: '用户列表',
                auth: ['store-user-index']
            },
            component: () => import('@/pages/user')
        },
        {
            path: 'label/index',
            name: `${pre}userlabel`,
            meta: {
                title: '用户标签',
                auth: ['store-user-label-index']
            },
            component: () => import('@/pages/user/label')
        },
    ]
};
